Bug 98808 - Installer hangs when looking for previous installations
Installer hangs when looking for previous installations
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-08 20:47 EDT by Robert Navarro
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-09 00:25:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Dumpfile (42.42 KB, text/plain)
2003-07-08 20:48 EDT, Robert Navarro
no flags Details

  None (edit)
Description Robert Navarro 2003-07-08 20:47:07 EDT
Description of problem:
Trying to install redhat 9 on a high point 372 motherboard with RAID 0. Freezes 
when looking for previous installations.

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1.insett red hat cd, boot
2.enter "linux dd" in the console (BOOT:)
3.specify the driver disk (A: high point raid driver from vendor site)
4.starts anaconda
5.next
6.select language
7.select mouse type
8.next
    
Actual results:
System produced an error.

Expected results:
continue the installation.

Additional info:
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 761, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 157, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 225, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/upgrade.py", line 42, in findRootParts
    id.rootParts = findExistingRoots(intf, id, chroot)
  File "/usr/lib/anaconda/upgrade.py", line 65, in findExistingRoots
    rootparts = diskset.findExistingRootPartitions(intf, chroot)
  File "/usr/lib/anaconda/partedUtils.py", line 479, in 
findExistingRootPartitions
    lvm.vgactivate()
  File "/usr/lib/anaconda/lvm.py", line 81, in vgactivate
    raise SystemError, "vgchange failed"
SystemError: vgchange failed
Comment 1 Robert Navarro 2003-07-08 20:48:28 EDT
Created attachment 92812 [details]
Anaconda Dumpfile
Comment 2 Jeremy Katz 2003-07-09 00:25:02 EDT
This is fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.